RCkit = {
	
	modal: false,
	pageURL: '',
	
	startLoading: function (button) {
		
		$(button).prop('disabled', true);
		
		var icon = $(button).find('*[class*=uk-icon-]');
		
		icon.data('rc-icon', icon.attr('class'));
		icon.removeClass(function (index, css) {
			
			return (css.match (/(^|\s)uk-icon-\S+/g) || []).join(' ');
			
		});
		icon.addClass('uk-icon-refresh uk-icon-spin uk-icon-justify');
		
	},
	
	stopLoading: function (button) {
		
		$(button).prop('disabled', false);
		
		var icon = $(button).find('*[class*=uk-icon-]');
		
		icon.removeClass().addClass(icon.data('rc-icon'));
		icon.removeData('rc-icon');
		
	},
	
	goBack: function () {
		
		if (history.length > 1) {
			
			history.back();
			
		}
		
		else {
			
			$(location).attr('href', RCkit.pageURL);
			
		}
		
	},
	
	getExtras: function () {
		
		var extras;
		
		$.ajax({
			
			url: RCkit.pageURL + '?extras',
			type: 'POST',
			async: false,
			success: function (response) {
				
				extras = response.extras;
				
			}
			
		});
		
		return extras;
		
	},
	
	runChecklist: function () {
		
		$('[data-rc-checklist]').each(function (i, icon) {
			
			$.ajax({
				
				url: RCkit.pageURL + '?checklist/' + $(icon).data('rc-checklist'),
				timeout: 10000,
				success: function (response) {
					
					if (response.data == '') {
						
						$(icon).attr('class', 'uk-icon-smile-o uk-icon-justify uk-text-success');
						
					}
					
					else {
						
						$(icon).attr('class', 'uk-icon-frown-o uk-icon-justify uk-text-danger');
						$(icon).attr('title', response.data || response);
						
					}
				
				},
				error: function () {
						
					$(icon).attr('class', 'uk-icon-frown-o uk-icon-justify uk-text-danger');
					
					UIkit.notify('<i class="uk-icon-exclamation-triangle"></i> Error retrieving ' + $(icon).data('rc-checklist').toUpperCase() + ' settings.', {
						
						timeout: 0,
						status: 'warning'
						
					});
					
				}
				
			});
			
		});
		
	},
	
	goAdminBack: function () {
		
		if (history.length > 1) {
			
			history.back();
			
		}
		
		else {
			
			$(location).attr('href', RCkit.pageURL + '?admin/orders');
			
		}
		
	},
	
	enableAdminAutocomplete: function () {
		
		if ($('#rc-admin-orders-search-container').length > 0) {
			
			var autocomplete = UIkit.autocomplete($('#rc-admin-orders-search-container'), {
				
				source: RCkit.pageURL + '?admin/search'
				
			});
			
			autocomplete.on('selectitem.uk.autocomplete', function (event, data) {
				
				$(location).attr('href', data.value);
				
			});
			
		}
		
	},
	
	filterAdminOrders: function (button) {
		
		var search = encodeURIComponent($('#rc-admin-orders-search').val()).replace(/%20/g,'+');
		var fromDate = $('#rc-admin-orders-from-date').val();
		var toDate = $('#rc-admin-orders-to-date').val();
		var status = $(button).data('rc-admin-orders-status');
		
		if (search == '') {
			
			search = '*';
			
		}
		
		if (fromDate == '') {
			
			fromDate = '*';
			
		}
		
		if (toDate == '') {
			
			toDate = '*';
			
		}
		
		$(location).attr('href', RCkit.pageURL + '?admin/orders/' + status + '/' + fromDate + '/' + toDate + '/' + search + '/0');
		
	},
	
	getAdminOrder: function (ID) {
		
		$(location).attr('href', RCkit.pageURL + '?admin/order/' + ID);
		
	},
	
	setAdminOrderStatus: function (button) {
		
		var status = $(button).data('rc-admin-order-status');
		var label = $(button).data('rc-admin-order-status-label');
		var icon = '';
		var refunded = false;
		
		$('#rc-admin-order-status-button-label').text(label);
		$('#rc-admin-order-status-button-icon').removeClass('uk-icon-check uk-icon-truck uk-icon-undo uk-icon-ban');
		$('#rc-admin-order-status').val(status);
		
		switch (status) {
			
			case 'completed':
			
				icon = 'check';
			
			break;
			
			case 'to-ship':
			
				icon = 'truck';
				
			break;
			
			case 'refunded':
			
				icon = 'undo';
				refunded = true;
				
			break;
			
			case 'cancelled':
			
				icon = 'ban';
				
			break;
			
		}
		
		$('#rc-admin-order-status-button-icon').addClass('uk-icon-' + icon);
		
		$('#rc-admin-order-subtotal-refunded').prop('disabled', !refunded);
		$('#rc-admin-order-taxes-refunded').prop('disabled', !refunded);
		
		if (!refunded) {
			
			$('#rc-admin-order-subtotal-refunded').val(0);
			$('#rc-admin-order-taxes-refunded').val(0);
			$('#rc-admin-order-total-refunded').val(0);
			
		}
		
	},
	
	createAdminOrdersPagination: function () {
		
		if ($('.rc-admin-orders-pagination').length == 0) {
			
			return;
			
		}
		
		var pagination = new UIkit.pagination($('.rc-admin-orders-pagination'), UIkit.Utils.options($('.rc-admin-orders-pagination').data("rc-pagination")));;
		
		pagination.on('select.uk.pagination', RCkit.changeAdminOrdersPage);
		
	},
	
	changeAdminOrdersPage: function (e, i) {
		
		var pars = window.location.search.split('/');
		pars[pars.length - 1] = i + 1;
		
		if (pars.length == 2) {
			
			$(location).attr('href', '?admin/orders/*/*/*/*/' + (i + 1));
			
		}
		
		else {
			
			$(location).attr('href', pars.join('/'));
			
		}
		
	},
	
	createAdminProductsPagination: function () {
		
		if ($('.rc-admin-products-pagination').length == 0) {
			
			return;
			
		}
		
		var pagination = new UIkit.pagination($('.rc-admin-products-pagination'), UIkit.Utils.options($('.rc-admin-products-pagination').data("rc-pagination")));;
		
		pagination.on('select.uk.pagination', RCkit.changeAdminProductsPage);
		
	},
	
	changeAdminProductsPage: function (e, i) {
		
		var pars = window.location.search.split('/');
		pars[pars.length - 1] = i + 1;
		
		if (pars.length == 2) {
			
			$(location).attr('href', '?admin/products/*/*/' + (i + 1));
			
		}
		
		else {
			
			$(location).attr('href', pars.join('/'));
			
		}
		
	},
	
	enableAdminProductsUpdateButton: function () {
		
		$('#rc-admin-products-update-button').prop('disabled', false);
		
	},
	
	enableAdminCouponsUpdateButton: function () {
		
		$('#rc-admin-coupons-update-button').prop('disabled', false);
		
	},
	
	filterAdminProducts: function (button) {
		
		var search = encodeURIComponent($('#rc-admin-products-search').val()).replace(/%20/g,'+');
		var sort = $(button).data('rc-admin-products-sort');
		
		if (search == '') {
			
			search = '*';
			
		}
		
		$(location).attr('href', RCkit.pageURL + '?admin/products/' + search + '/' + sort + '/0');
		
	},
	
	setAdminOrderRefund: function () {
		
		var key = event.keyCode ? event.keyCode : event.charCode;
		
		if (key == 190) {
			
			return;
			
		}
		
		var subtotalPaid = parseFloat($('#rc-admin-order-subtotal-paid').val());
		var subtotalRefunded = parseFloat($('#rc-admin-order-subtotal-refunded').val());
		
		if (isNaN(subtotalRefunded)) {
			
			subtotalRefunded = 0;
			
		}
		
		if (subtotalRefunded > subtotalPaid) {
			
			subtotalRefunded = subtotalPaid;
			
		}
		
		if (subtotalRefunded != $('#rc-admin-order-subtotal-refunded').val()) {
		
			$('#rc-admin-order-subtotal-refunded').val(subtotalRefunded);
			
		}
		
		$('#rc-admin-order-subtotal-result').val(+(subtotalPaid - subtotalRefunded).toFixed(12));
		
		var taxesPaid = parseFloat($('#rc-admin-order-taxes-paid').val());
		var taxesRefunded = parseFloat($('#rc-admin-order-taxes-refunded').val());
		
		if (isNaN(taxesRefunded)) {
			
			taxesRefunded = 0;
			
		}
		
		if (taxesRefunded > taxesPaid) {
			
			taxesRefunded = taxesPaid;
			
		}
		
		if (taxesRefunded != $('#rc-admin-order-taxes-refunded').val()) {
		
			$('#rc-admin-order-taxes-refunded').val(taxesRefunded);
			
		}
		
		$('#rc-admin-order-taxes-result').val(+(taxesPaid - taxesRefunded).toFixed(12));
		
		$('#rc-admin-order-total-refunded').val(+(subtotalRefunded + taxesRefunded).toFixed(12));
		$('#rc-admin-order-total-result').val(+(subtotalPaid - subtotalRefunded + taxesPaid - taxesRefunded).toFixed(12));
		
	},
	
	selectProductVersion: function (button, productID, versionID) {
		
		$('#rc-product-version-' + productID).val(versionID);
		
		RCkit.selectProductOptions(button, productID);
		
	},
	
	selectProductOptions: function (button, productID) {
		
		$.ajax({
			
			url: RCkit.pageURL + '?product/set-options',
			method: 'POST',
			data: $('#rc-product-form-' + productID).serialize(),
			beforeSend: function () {
				
				RCkit.startLoading(button);
				
			},
			error: function () {
				
				RCkit.stopLoading(button);
				
			},
			success: function (response) {
				
				RCkit.stopLoading(button);
				
				if (!response.data.showOptions) {
					
					RCkit.addProductToCart(button, productID);
					
				}
				
				else {
					
					RCkit.modal = UIkit.modal('#rc-product-options-modal-' + productID, {
						
						center: true
						
					});
						
					RCkit.modal.show();
					
					setTimeout(function () {
						
						RCkit.modal.updateScrollable();
						
					}, 100);
					
					$('.uk-form-danger').removeClass('uk-form-danger');
					
					$.each(response.data.required, function (i, ID) {
					
						$('#rc-product-option-' + ID).addClass('uk-form-danger');
						
					});
					
					$('#rc-product-version-name-' + productID).text(response.data.version);
					$('#rc-product-version-sku-' + productID).text(response.data.SKU);
					$('#rc-product-total-price-' + productID).text(response.data.price);
					
					$('#rc-add-product-to-cart-button-' + productID).prop('disabled', response.data.required.length != 0);
					
				}
				
			}
			
		});
		
	},

	addProductToCart: function (button, productID) {
	
		$.ajax({
			
			url: RCkit.pageURL + '?cart/add-item',
			method: 'POST',
			data: $('#rc-product-form-' + productID).serialize(),
			beforeSend: function () {
				
				RCkit.startLoading(button);
				
			},
			error: function () {
				
				RCkit.stopLoading(button);
				
			},
			success: function (response) {
				
				RCkit.stopLoading(button);
		
				if ($('.' + response.extras.cartItemsCSSClass + ',.' + response.extras.cartTotalCSSClass + ',.' + response.extras.cartItemsCSSClass + '-tooltip,.' + response.extras.cartTotalCSSClass + '-tooltip').length > 0) {
					
					var notify = UIkit.notify(response.data.message, {
						
						timeout: 3000,
						status: response.data.type
						
					});
					
					if (response.data.type == 'success') {
						
						notify.element.on('manualclose.uk.notify', function () {
							
							$(location).attr('href', RCkit.pageURL + '?cart/overview');
							
						});
						
					}
					
					$('.' + response.extras.cartItemsCSSClass).html(response.extras.cartItemsLocalized);
					$('.' + response.extras.cartTotalCSSClass).html(response.extras.cartTotalLocalized);
				
					$('.' + response.extras.cartItemsCSSClass + '-tooltip').attr('title', response.extras.cartItemsLocalized);
					$('.' + response.extras.cartTotalCSSClass + '-tooltip').attr('title', response.extras.cartTotalLocalized);
					
					if (RCkit.modal) {
						
						RCkit.modal.hide();
						
					}
					
				}
				
				else {
					
					$(location).attr('href', RCkit.pageURL + '?cart/overview');
					
				}
			
			}
			
		});
		
	},
	
	applyProductNameToPageTitle: function () {
		
		if ($('[data-rc-page-title]').length > 0) {
		
			$(document).prop('title', $($('[data-rc-page-title]')[0]).data('rc-page-title'));
			
		}
		
	},
	
	searchCatalogProducts: function (form) {
		
		var search = encodeURIComponent($(form).find('input[type="text"]').val()).replace(/%20/g,'+');
		var sort = $(form).find('input[type="hidden"]').val();
		
		if (search != '') {
		
			$(location).attr('href', RCkit.pageURL + '?catalog/search/' + search + '/' + sort + '/1');
		
		}
		
		return false;
		
	},
	
	createCatalogPagination: function () {
		
		if ($('.rc-catalog-pagination').length == 0) {
			
			return;
			
		}
		
		var pagination = new UIkit.pagination($('.rc-catalog-pagination'), UIkit.Utils.options($('.rc-catalog-pagination').data("rc-pagination")));;
		
		pagination.on('select.uk.pagination', RCkit.changeCatalogPage);
		
	},
	
	changeCatalogPage: function (e, i) {
		
		var pars = window.location.search.split('/');
		pars[pars.length - 1] = i + 1;
		
		$(location).attr('href', pars.join('/'));
		
	},
	
	filterAndSortCatalogProducts: function (select) {
		
		$(location).attr('href', $(select).find(':selected').data('rc-catalog-toolbar-select-link'));
		
	},
	
	applyCouponCode: function (button, goToNextPage) {
		
		var code = $('#rc-cart-coupon-code').val();
		
		if (code == null || code == '') {
			
			$(location).attr('href', RCkit.pageURL + '?cart/address');
			
		}
		
		else {
			
			$('#rc-cart-coupon-code').removeClass('uk-form-danger');
					
			$.ajax({
				
				url: RCkit.pageURL + '?cart/apply-coupon-code',
				method: 'POST',
				data: 'couponCode=' + code,
				beforeSend: function () {
					
					RCkit.startLoading(button);
					
				},
				error: function () {
					
					RCkit.stopLoading(button);
					
				},
				success: function (response) {
					
					RCkit.stopLoading(button);
				
					if (response.data.valid) {
						
						if (goToNextPage) {
							
							$(location).attr('href', RCkit.pageURL + '?cart/address');
							
						}
						
						else {
							
							$(location).attr('href', RCkit.pageURL + '?cart/overview');
							
						}
						
					}
					
					else {
				
						$('#rc-cart-coupon-code').addClass('uk-form-danger');
						
						UIkit.notify(response.data.message, {
							
							timeout: 3000,
							status: 'danger'
							
						});
						
					}
					
				}
			
			});
			
		}
		
	},
	
	enableUpdateCartButton: function () {
	
		$('#rc-update-cart-button').prop('disabled', false);
		
	},
	
	enableAllRemoveItemCheckboxes: function (event) {
		
		var allChecked = true;
		
		$('.rc-remove-item-checkbox').each(function (i, checkbox) {
			
			if (!$(checkbox).prop('checked')) {
				
				allChecked = false;
				return;
				
			}
			
		});
		
		$('.rc-remove-item-checkbox').prop('checked', !allChecked);
		
		RCkit.enableUpdateCartButton();
		
	},
	
	updateCart: function (button) {
	
		$.ajax({
			
			url: RCkit.pageURL + '?cart/update',
			method: 'POST',
			data: $('#rc-cart-overview-form').serialize(),
			beforeSend: function () {
				
				RCkit.startLoading(button);
				
			},
			error: function () {
				
				RCkit.stopLoading(button);
				
			},
			success: function () {
			
				RCkit.stopLoading(button);
				
				$(location).attr('href', RCkit.pageURL + '?cart/overview');
				
			}
			
		});
		
	},
	
	setCustomerAddress: function (button) {
		
		$.ajax({
		
			url: RCkit.pageURL + '?cart/set-address',
			method: 'POST',
			data: $('#rc-cart-address-form').serialize(),
			beforeSend: function () {
				
				RCkit.startLoading(button);
				
			},
			error: function () {
				
				RCkit.stopLoading(button);
				
			},
			success: function (response) {
			
				RCkit.stopLoading(button);
				
				$('.rc-cart-address-field').removeClass('uk-form-danger');
				
				$.each(response.data.required, function (i, ID) {
				
					$('#' + ID).addClass('uk-form-danger');
					
				});
				
				if (response.data.required.length == 0) {
					
					$(location).attr('href', $(button).data('rc-next-url'));
					
				}
				
				else {
					
					$.each(response.data.messages, function (i, message) {
						
						UIkit.notify(message, {
							
							timeout: 3000,
							status: 'danger'
							
						});
						
					});
					
				}
				
			}
			
		});
		
	},
	
	showCustomerState: function () {
		
		$('.rc-cart-customer-state').addClass('uk-hidden');
		$('.rc-cart-customer-state-field').prop('disabled', true);
		
		var code = $('#rc-cart-customer-country').val();
		
		if ($('#rc-cart-customer-state-' + code).length > 0) {
			
			$('#rc-cart-customer-state-' + code).removeClass('uk-hidden');
			$('#rc-cart-customer-state-field-' + code).prop('disabled', false);
			
		}
		
		else {
			
			$('#rc-cart-customer-state').removeClass('uk-hidden');
			$('#rc-cart-customer-state').prop('disabled', false);
			
		}
		
		var eu = ['AT', 'BE', 'BG', 'HR', 'CY', 'CZ', 'DK', 'EE', 'FI', 'FR', 'DE', 'GR', 'HU', 'IE', 'IT', 'LV', 'LT', 'LU', 'MT', 'NL', 'PL', 'PT', 'RO', 'SK', 'SI', 'ES', 'SE', 'GB'];
		
		if (eu.indexOf(code) > -1) {
			
			$('#rc-cart-customer-vat-id-country-code').val(code);
			$('#rc-cart-customer-vat-id').prop('disabled', false);
			
		}
		
		else {
			
			$('#rc-cart-customer-vat-id-country-code').val('');
			$('#rc-cart-customer-vat-id').val('');
			$('#rc-cart-customer-vat-id').prop('disabled', true);
			
		}
		
	},
	
	setOptions: function (button) {
		
		$.ajax({
			
			url: RCkit.pageURL + '?cart/set-options',
			method: 'POST',
			data: $('#rc-cart-options-form').serialize(),
			beforeSend: function () {
				
				RCkit.startLoading(button);
				
			},
			error: function () {
				
				RCkit.stopLoading(button);
				
			},
			success: function (response) {
			
				RCkit.stopLoading(button);
				
				$('.rc-cart-option').removeClass('uk-form-danger');
				
				$.each(response.data.required, function (i, ID) {
					
					$('#rc-cart-option-' + ID).addClass('uk-form-danger');
					
				});
				
				if (response.data.required.length == 0) {
					
					$(location).attr('href', $(button).data('rc-next-url'));
					
				}
				
				else {
					
					UIkit.notify(response.data.message, {
						
						timeout: 3000,
						status: 'danger'
						
					});
					
				}
				
			}
			
		});
		
	},
	
	selectShipping: function (box) {
		
		$('.rc-selectable-box').removeClass('uk-panel-box-primary');
		
		$(box).addClass('uk-panel-box-primary');
		$(box).find('input[type="radio"]').prop('checked', true);
		
	},
	
	setShipping: function (button) {
		
		$.ajax({
			
			url: RCkit.pageURL + '?cart/set-shipping',
			method: 'POST',
			data: $('#rc-cart-shipping-form').serialize(),
			beforeSend: function () {
				
				RCkit.startLoading(button);
				
			},
			error: function () {
				
				RCkit.stopLoading(button);
				
			},
			success: function (response) {
			
				RCkit.stopLoading(button);
				
				if (response.data.valid) {
					
					$(location).attr('href', RCkit.pageURL + '?cart/payment');
					
				}
				
				else {
					
					UIkit.notify(response.data.message, {
						
						timeout: 3000,
						status: 'danger'
						
					});
					
				}
				
			}
			
		});
		
	},
	
	selectPayment: function (box) {
		
		$('.rc-selectable-box').removeClass('uk-panel-box-primary');
		
		$(box).addClass('uk-panel-box-primary');
		$(box).find('input[type="radio"]').prop('checked', true);
		
		/*if ($(box).data('rc-cart-payment-require-credit-card')) {
			
			$('#rc-cart-payment-credit-card-details').removeClass('uk-hidden');
			
		}
		
		else {
		
			$('#rc-cart-payment-credit-card-details').addClass('uk-hidden');
			
		}*/
		
	},
	
	setPayment: function (button) {
		
		$.ajax({
			
			url: RCkit.pageURL + '?cart/set-payment',
			method: 'POST',
			data: $('#rc-cart-payment-form').serialize(),
			beforeSend: function () {
				
				RCkit.startLoading(button);
				
			},
			error: function () {
				
				RCkit.stopLoading(button);
				
			},
			success: function (response) {
			
				RCkit.stopLoading(button);
			
				$('.rc-cart-payment-method-field, .rc-cart-payment-credit-card-field').removeClass('uk-form-danger');
				
				if (response.data.paymentValid) {
					
					$(location).attr('href', RCkit.pageURL + '?cart/review');
					
				}
				
				else {
					
					var error = '';
					
					if (!response.data.creditCardValid) {
				
						$('.rc-cart-payment-credit-card-field').addClass('uk-form-danger');
						
						error = response.data.creditCardError;
						
					}
					
					else if (!response.data.paymentValid) {
				
						$('.rc-cart-payment-method-field').addClass('uk-form-danger');
						
						error = response.data.error;
						
					}
					
					UIkit.notify(error, {
						
						timeout: 3000,
						status: 'danger'
						
					});
					
				}
				
			}
			
		});
		
	},
	
	checkCartDisclaimer: function (button) {
		
		if ($('#rc-cart-review-disclaimer-checkbox').length > 0 && !$('#rc-cart-review-disclaimer-checkbox').is(':checked')) {
			
			$('#rc-cart-review-disclaimer').addClass('uk-alert-danger');
			$('#rc-cart-review-disclaimer-checkbox').addClass('uk-form-danger');
			
		}
		
		else {
		
			RCkit.startLoading(button);
			
			$('#rc-cart-review-disclaimer').removeClass('uk-alert-danger');
			$('#rc-cart-review-disclaimer-checkbox').removeClass('uk-form-danger');
			
			var url =  ($(button).data('rc-checkout-url') != '') ? $(button).data('rc-checkout-url') : (RCkit.pageURL + '?cart/checkout');
		
			setTimeout(function () {
				
				$(location).attr('href', url);
					
			}, 100);
		
		}
		
	},
	
	detectAdminWebApp: function () {
		
		if (($('#rc-admin').length > 0) && "standalone" in window.navigator) {
			
			if (window.navigator.standalone) {
				
				$(document).on('click', 'a:not([target="_blank"])', function (e) {
				
					e.preventDefault();
					window.location = $(this).attr("href");
				
				});
				
			}
			
		}
		
	},
	
	rateProduct: function (order, product, rate) {
		
		var rating = {
			
			order: order,
			product: product,
			rate: rate
			
		}
		
		console.log($.param(rating));
		
		$.ajax({
			
			url: RCkit.pageURL + '?history/rate-product',
			method: 'POST',
			data: $.param(rating),
			success: function (response) {
				
				$('#rc-rating-' + product).removeClass('rc-rating-1 rc-rating-2 rc-rating-3 rc-rating-4 rc-rating-5').addClass('rc-rating-' + rate);
				
			}
			
		});
		
	},
	
	disableEmailCopyPaste: function () {
		
		$('#rc-cart-customer-email-address-2').bind('paste contextmenu', function (e) {
		
			e.preventDefault();
		
		});
		
	}
	
}

$(function () {
	
	UIkit.Utils.checkDisplay();
	
	RCkit.detectAdminWebApp();
	
	RCkit.runChecklist();
	RCkit.enableAdminAutocomplete();
	RCkit.createCatalogPagination();
	RCkit.applyProductNameToPageTitle();
	$('#rc-cart-customer-country').change();
	
	RCkit.createAdminOrdersPagination();
	$('#rc-admin-order-status select').change();
	RCkit.createAdminProductsPagination();

	RCkit.disableEmailCopyPaste();
	
});