<?php if (empty($methods)) { ?>
	<div class="uk-panel uk-text-center">
		<h2>No payment methods available.</h2>
	</div>
<?php } else { ?>
	<form class="uk-form uk-form-horizontal" id="rc-cart-payment-form" onsubmit="return false;">
		<div class="uk-grid uk-flex-center uk-grid-small uk-grid-width-1-2 uk-grid-width-medium-1-4" data-uk-grid-margin data-uk-grid-match="{target:'.rc-cart-payment-method-name'}">
			<?php foreach ($methods as $method) { ?>
				<div>
					<div class="uk-panel uk-panel-box uk-text-center rc-selectable-box <?php echo ($method->selected ? ' uk-panel-box-primary' : ''); ?>" onclick="RCkit.selectPayment(this);" data-rc-cart-payment-require-credit-card="<?php echo ($method->requireCreditCard ? 'true' : 'false'); ?>">
						<?php if ($method->testMode) { ?>
							<div class="uk-panel-badge uk-badge uk-badge-danger">Test</div>
						<?php } ?>
						<h2 class="uk-panel-title"><i class="uk-icon-<?php echo $method->icon; ?>"></i></h2>
						<div class="uk-text-bold rc-cart-payment-method-name"><input type="radio" name="rc-cart-payment" value="<?php echo $method->type; ?>" class="rc-cart-payment-method-field"<?php echo ($method->selected ? ' checked="checked"' : ''); ?>><?php echo $method->name; ?></div>
						<?php echo (($method->price != 0) ? RCUtilities::toCurrency($method->price) : '&nbsp;'); ?>
					</div>
				</div>
			<?php } ?>
			<!--<div class="uk-width-1-1 rc-cart-payment-credit-card-details-container">
				<div class="uk-panel uk-panel-box uk-panel-box-primary <?php echo (!$showCreditCard ? ' uk-hidden' : ''); ?>" id="rc-cart-payment-credit-card-details">
					<div class="uk-form-row">
						<label class="uk-form-label"><?php echo RCUtilities::$localization->cart->creditCardType; ?></label>
						<div class="uk-form-controls uk-form-controls-text">
							<div><input type="radio" name="rc-cart-credit-card-type" class="rc-cart-payment-credit-card-field" value="visa" checked="checked"> <i class="uk-icon-cc-visa"></i> VISA</div>
							<div><input type="radio" name="rc-cart-credit-card-type" class="rc-cart-payment-credit-card-field" value="mastercard"> <i class="uk-icon-cc-mastercard uk-text-large"></i> Mastercard</div>
							<div><input type="radio" name="rc-cart-credit-card-type" class="rc-cart-payment-credit-card-field" value="amex"> <i class="uk-icon-cc-amex uk-text-large"></i> American Express</div>
							<div><input type="radio" name="rc-cart-credit-card-type" class="rc-cart-payment-credit-card-field" value="discover"> <i class="uk-icon-cc-discover uk-text-large"></i> Discover</div>
						</div>
					</div>
					<div class="uk-form-row">
						<label class="uk-form-label uk-text-primary"><?php echo RCUtilities::$localization->cart->creditCardHolder; ?></label>
						<div class="uk-form-controls uk-form-controls-text" data-uk-margin>
							<input type="text" name="rc-cart-credit-card-holder-first-name" class="rc-cart-payment-credit-card-field" placeholder="<?php echo RCUtilities::$localization->cart->creditCardHolderFirstName; ?>">
							<input type="text" name="rc-cart-credit-card-holder-last-name" class="rc-cart-payment-credit-card-field" placeholder="<?php echo RCUtilities::$localization->cart->creditCardHolderLastName; ?>">
						</div>
					</div>
					<div class="uk-form-row">
						<label class="uk-form-label uk-text-primary"><?php echo RCUtilities::$localization->cart->creditCardNumber; ?></label>
						<div class="uk-form-controls uk-form-controls-text">
							<input type="text" name="rc-cart-credit-card-number" class="rc-cart-payment-credit-card-field" maxlength="16">
						</div>
					</div>
					<div class="uk-form-row">
						<label class="uk-form-label uk-text-primary"><?php echo RCUtilities::$localization->cart->creditCardExpiration; ?></label>
						<div class="uk-form-controls uk-form-controls-text">
							<input type="text" name="rc-cart-credit-card-expiration-month" class="uk-form-width-mini rc-cart-payment-credit-card-field" placeholder="<?php echo RCUtilities::$localization->cart->creditCardExpirationMonth; ?>" maxlength="2"> / <input type="text" name="rc-cart-credit-card-expiration-year" class="rc-form-width-smaller rc-cart-payment-credit-card-field" placeholder="<?php echo RCUtilities::$localization->cart->creditCardExpirationYear; ?>" maxlength="4">
						</div>
					</div>
					<div class="uk-form-row">
						<label class="uk-form-label uk-text-primary"><?php echo RCUtilities::$localization->cart->creditCardCVC; ?></label>
						<div class="uk-form-controls uk-form-controls-text">
							<input type="password" name="rc-cart-credit-card-cvc" class="rc-form-width-smaller rc-cart-payment-credit-card-field" maxlength="4">
						</div>
					</div>
				</div>
			</div>-->
		</div>
	</form>
<?php } ?>
<div class="uk-margin-large-top uk-text-right">
	<a href="<?php echo RCUtilities::getURL(array(0 => 'cart', 1 => ($this->cart->shippable ? 'shipping' : (empty($this->cart->options->set) ? 'address' : 'options'))), TRUE); ?>" class="uk-button uk-button-primary uk-button-large uk-float-left"><i class="uk-icon-chevron-left"></i> <?php echo RCUtilities::$localization->general->back; ?></a>
	<button type="button" class="uk-button uk-button-primary uk-button-large" onclick="RCkit.setPayment(this);"><?php echo RCUtilities::$localization->general->next; ?> <i class="uk-icon-chevron-right"></i></button>
</div>