<div class="uk-grid uk-grid-small" data-uk-grid-margin data-uk-grid-match="{target:'.rc-cart-review-details'}">
	<div class="uk-width-1-1 uk-width-medium-1-2">
		<div class="uk-panel uk-panel-box">
			<h3 class="uk-panel-title"><i class="uk-icon-file-text-o"></i> <?php echo RCUtilities::$localization->order->details; ?></h3>
			<div class="rc-cart-review-details">
				<dl class="uk-description-list-horizontal">
					<dt><?php echo RCUtilities::$localization->order->number; ?></dt>
					<dd><?php echo $this->cart->ID; ?></dd>
					<?php if (RCUtilities::$settings->cart->acceptCouponCodes && $this->cart->coupon !== FALSE) { ?>
						<dt><?php echo RCUtilities::$localization->cart->couponCode; ?></dt>
						<dd><?php echo $this->cart->coupon; ?></dd>
					<?php } ?>
					<?php foreach (RCUtilities::optionsToList($this->cart->options->set) as $option) { ?>
						<dt><?php echo $option->name; ?></dt>
						<dd><?php echo implode(', ', $option->values); ?></dd>
					<?php } ?>
					<?php if ($this->cart->shippable) { ?>
						<dt><?php echo RCUtilities::$localization->cart->shipping; ?></dt>
						<dd><?php echo $this->cart->shipping->name; ?></dd>
					<?php } ?>
					<dt><?php echo RCUtilities::$localization->cart->payment; ?></dt>
					<dd><?php echo $this->cart->payment->method->name; ?></dd>
					<?php if (!empty($this->cart->payment->method->creditCardNumber)) { ?>
						<dt><?php echo RCUtilities::$localization->cart->creditCardNumber; ?></dt>
						<dd><?php echo $this->cart->payment->method->creditCardNumber; ?></dd>
					<?php } ?>
				</dl>
			</div>
		</div>
	</div>
	<div class="uk-width-1-1 uk-width-medium-1-2">
		<div class="uk-panel uk-panel-box">
			<h3 class="uk-panel-title">
				<i class="uk-icon-user"></i> <?php echo RCUtilities::$localization->cart->address; ?>
				<a class="uk-button uk-button-small uk-float-right" href="<?php echo RCUtilities::getURL(array(0 => 'cart', 1 => 'address'), TRUE); ?>"><i class="uk-icon-pencil"></i> <?php echo RCUtilities::$localization->cart->change; ?></a>
			</h3>
			<div class="rc-cart-review-details">
				<dl class="uk-description-list-horizontal">
					<dt><?php echo RCUtilities::$localization->customer->name; ?></dt>
					<dd><?php echo $this->cart->customer->name; ?></dd>
					<dt><?php echo RCUtilities::$localization->customer->emailAddress; ?></dt>
					<dd><?php echo $this->cart->customer->emailAddress; ?></dd>
					<?php if (!empty($this->cart->customer->street) || !empty($this->cart->customer->ZIPCode) || !empty($this->cart->customer->city)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->address; ?></dt>
						<dd>
							<?php echo (!empty($this->cart->customer->street) ? ($this->cart->customer->street . '<br>') : ''); ?>
							<?php echo ((!empty($this->cart->customer->ZIPCode) ? ($this->cart->customer->ZIPCode . ' ') : '') . $this->cart->customer->city); ?>
						</dd>
					<?php } ?>
					<?php if (!empty($this->cart->customer->state)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->state; ?></dt>
						<dd><?php echo $this->cart->customer->state; ?></dd>
					<?php } ?>
					<dt><?php echo RCUtilities::$localization->customer->country; ?></dt>
					<dd><?php echo $this->cart->customer->country; ?></dd>
					<?php if (!empty($this->cart->customer->company)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->company; ?></dt>
						<dd><?php echo $this->cart->customer->company; ?></dd>
					<?php } ?>
					<?php if (!empty($this->cart->customer->VATID)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->VATID; ?></dt>
						<dd><?php echo $this->cart->customer->countryCode; ?>-<?php echo $this->cart->customer->VATID; ?></dd>
					<?php } ?>
					<?php if (!empty($this->cart->customer->phone)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->phone; ?></dt>
						<dd><?php echo $this->cart->customer->phone; ?></dd>
					<?php } ?>
					<?php if (!empty($this->cart->customer->customField1)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField1; ?></dt>
						<dd><?php echo $this->cart->customer->customField1; ?></dd>
					<?php } ?>
					<?php if (!empty($this->cart->customer->customField2)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField2; ?></dt>
						<dd><?php echo $this->cart->customer->customField2; ?></dd>
					<?php } ?>
					<?php if (!empty($this->cart->customer->customField3)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField3; ?></dt>
						<dd><?php echo $this->cart->customer->customField3; ?></dd>
					<?php } ?>
					<?php if (!empty($this->cart->customer->customField4)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField4; ?></dt>
						<dd><?php echo $this->cart->customer->customField4; ?></dd>
					<?php } ?>
					<?php if (!empty($this->cart->customer->customField5)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField5; ?></dt>
						<dd><?php echo $this->cart->customer->customField5; ?></dd>
					<?php } ?>
					<?php if (!empty($this->cart->customer->customField6)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField6; ?></dt>
						<dd><?php echo $this->cart->customer->customField6; ?></dd>
					<?php } ?>
					<?php if (!empty($this->cart->customer->customField7)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField7; ?></dt>
						<dd><?php echo $this->cart->customer->customField7; ?></dd>
					<?php } ?>
					<?php if (!empty($this->cart->customer->customField8)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField8; ?></dt>
						<dd><?php echo $this->cart->customer->customField8; ?></dd>
					<?php } ?>
					<?php if (!empty($this->cart->customer->customField9)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField9; ?></dt>
						<dd><?php echo nl2br($this->cart->customer->customField9); ?></dd>
					<?php } ?>
					<?php if (!empty($this->cart->customer->customField10)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField10; ?></dt>
						<dd><?php echo nl2br($this->cart->customer->customField10); ?></dd>
					<?php } ?>
				</dl>
			</div>
		</div>
	</div>
</div>
<?php if (RCUtilities::$settings->cart->showCheckoutButton == 'above') { ?>
	<div class="uk-margin-large-bottom">
		<?php if (RCUtilities::$settings->cart->requireDisclaimerAcceptance) { ?>
			<div class="uk-alert uk-margin-top" id="rc-cart-review-disclaimer">
				<form class="uk-form">
					<input type="checkbox" id="rc-cart-review-disclaimer-checkbox"> <?php echo RCUtilities::$settings->cart->disclaimerContent; ?>
				</form>
			</div>
		<?php } ?>
		<div class="uk-text-right">
			<a href="<?php echo RCUtilities::getURL(array(0 => 'cart', 1 => 'payment'), TRUE); ?>" class="uk-button uk-button-primary uk-button-large uk-float-left"><i class="uk-icon-chevron-left"></i> <?php echo RCUtilities::$localization->general->back; ?></a>
			<button type="button" class="uk-button uk-button-success uk-button-large" onclick="RCkit.checkCartDisclaimer(this);" data-rc-checkout-url="<?php echo ($this->cart->payment->method->type == 'paypal') ? RCUtilities::getURL(array(0 => 'cart', 1 => 'checkout', 2 => $_GET['paymentId'], 3 => $_GET['PayerID']), TRUE) : ''; ?>"><i class="uk-icon-<?php echo $this->cart->payment->method->icon; ?>"></i> <?php echo $this->cart->payment->method->button; ?></button>
		</div>
	</div>
<?php } ?>
<table class="uk-table uk-table-hover uk-margin-top">
	<thead>
		<tr>
			<th class="uk-hidden-small rc-cart-image-column"></th>
			<th><?php echo RCUtilities::$localization->cart->product; ?></th>
			<th class="uk-hidden-small"></th>
			<th class="uk-text-center"><?php echo RCUtilities::$localization->cart->quantity; ?></th>
			<th class="uk-text-right rc-cart-total-column"><?php echo RCUtilities::$localization->cart->price; ?></th>
		</tr>
	</thead>
	<tbody>
		<?php foreach ($this->cart->items as $i => $item) { ?>
			<tr class="uk-table-middle">
				<td class="uk-hidden-small"><a class="rc-cropped-product-image" href="<?php echo $item->product->link; ?>" style="background-image: url('<?php echo $item->product->image; ?>');"></a></td>
				<td>
					<div class="uk-text-bold"><a href="<?php echo $item->product->link; ?>"><?php echo $item->product->name; ?></a></div>
					<div><?php echo $item->product->version . (RCUtilities::$settings->product->showSKU ? ' (' . $item->product->SKU . ')' : ''); ?></div>
					<?php if (!empty($item->product->options)) { ?>
						<div class="uk-visible-small"><a data-uk-modal="{target:'#rc-cart-item-options-<?php echo $i; ?>',center:true}"><?php echo RCUtilities::$localization->product->options; ?></a></div>
						<div id="rc-cart-item-options-<?php echo $i; ?>" class="uk-modal">
							<div class="uk-modal-dialog">
								<div class="uk-modal-header">
									<h3 class="uk-margin-remove"><?php echo $item->product->name; ?></h3>
									<?php echo $item->product->version . (RCUtilities::$settings->product->showSKU ? ' (' . $item->product->SKU . ')' : ''); ?>
								</div>
								<dl class="uk-description-list-horizontal">
									<?php foreach ($item->product->options as $option) { ?>
										<?php if (!empty($option->values)) { ?>
											<dt><?php echo $option->name; ?></dt>
											<dd><?php echo implode(', ', $option->values); ?></dd>
										<?php } ?>
									<?php } ?>
								</dl>
								<div class="uk-text-center uk-margin-top"><button type="button" class="uk-button uk-button-primary uk-modal-close"><?php echo RCUtilities::$localization->general->close; ?></button></div>
							</div>
						</div>
					<?php } ?>
					<div class="uk-text-bold"><?php echo RCUtilities::toCurrency($item->product->price); ?></div>
				</td>
				<td class="uk-hidden-small">
					<?php if (!empty($item->product->options)) { ?>
						<button type="button" class="uk-button" data-uk-modal="{target:'#rc-cart-item-options-<?php echo $i; ?>',center:true}"><i class="uk-icon-search"></i></button>
					<?php } ?>
				</td>
				<td class="uk-text-center"><?php echo $item->quantity; ?></td>
				<td class="uk-text-right uk-text-nowrap">
					<div><?php echo RCUtilities::toCurrency($item->product->price * $item->quantity); ?></div>
					<?php if (RCUtilities::$settings->cart->showTaxesSplit) { ?>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::$localization->cart->taxes; ?>: <?php echo RCUtilities::toCurrency(($item->product->taxable ? $item->product->price : 0) * $item->quantity * $this->cart->taxesRates[$item->product->taxesTier] / 100, FALSE, FALSE); ?></div>
					<?php } ?>
				</td>
			</tr>
		<?php } ?>
		<?php foreach ($this->cart->costs->list as $cost) { ?>
			<tr class="uk-table-middle">
				<td class="uk-hidden-small"></td>
				<td colspan="2"><?php echo $cost->description; ?></td>
				<td class="uk-hidden-small"></td>
				<td class="uk-text-right uk-text-nowrap">
					<div <?php echo (($cost->price < 0) ? 'class="uk-text-danger"' : ''); ?>><?php echo RCUtilities::toCurrency($cost->price); ?></div>
					<?php if (RCUtilities::$settings->cart->showTaxesSplit && RCUtilities::$settings->cart->applyTaxesToCosts) { ?>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::$localization->cart->taxes; ?>: <?php echo RCUtilities::toCurrency($cost->price * $this->cart->taxesRates[0] / 100, FALSE, FALSE); ?></div>
					<?php } ?>
				</td>
			</tr>
		<?php } ?>
		<?php if ($this->cart->options->price != 0) { ?>
			<tr class="uk-table-middle">
				<td class="uk-hidden-small"></td>
				<td colspan="2"><?php echo RCUtilities::$localization->cart->options; ?></td>
				<td class="uk-hidden-small"></td>
				<td class="uk-text-right uk-text-nowrap">
					<div <?php echo (($this->cart->options->price < 0) ? 'class="uk-text-danger"' : ''); ?>><?php echo RCUtilities::toCurrency($this->cart->options->price); ?></div>
					<?php if (RCUtilities::$settings->cart->showTaxesSplit && RCUtilities::$settings->cart->applyTaxesToOptions) { ?>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::$localization->cart->taxes; ?>: <?php echo RCUtilities::toCurrency($this->cart->options->price * $this->cart->taxesRates[0] / 100, FALSE, FALSE); ?></div>
					<?php } ?>
				</td>
			</tr>
		<?php } ?>
		<?php if ($this->cart->shipping->price != 0) { ?>
			<tr class="uk-table-middle">
				<td class="uk-hidden-small"></td>
				<td colspan="2"><?php echo RCUtilities::$localization->cart->shipping; ?></td>
				<td class="uk-hidden-small"></td>
				<td class="uk-text-right uk-text-nowrap">
					<div <?php echo (($this->cart->shipping->price < 0) ? 'class="uk-text-danger"' : ''); ?>><?php echo RCUtilities::toCurrency($this->cart->shipping->price); ?></div>
					<?php if (RCUtilities::$settings->cart->showTaxesSplit && RCUtilities::$settings->cart->applyTaxesToShipping) { ?>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::$localization->cart->taxes; ?>: <?php echo RCUtilities::toCurrency($this->cart->shipping->price * $this->cart->taxesRates[0] / 100, FALSE, FALSE); ?></div>
					<?php } ?>
				</td>
			</tr>
		<?php } ?>
		<?php if ($this->cart->payment->price != 0) { ?>
			<tr class="uk-table-middle">
				<td class="uk-hidden-small"></td>
				<td colspan="2"><?php echo RCUtilities::$localization->cart->payment; ?></td>
				<td class="uk-hidden-small"></td>
				<td class="uk-text-right uk-text-nowrap">
					<div <?php echo (($this->cart->payment->price < 0) ? 'class="uk-text-danger"' : ''); ?>><?php echo RCUtilities::toCurrency($this->cart->payment->price); ?></div>
					<?php if (RCUtilities::$settings->cart->showTaxesSplit && RCUtilities::$settings->cart->applyTaxesToPayment) { ?>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::$localization->cart->taxes; ?>: <?php echo RCUtilities::toCurrency($this->cart->payment->price * $this->cart->taxesRates[0] / 100, FALSE, FALSE); ?></div>
					<?php } ?>
				</td>
			</tr>
		<?php } ?>
	</tbody>
	<thead>
		<tr class="uk-table-middle">
			<th colspan="2" class="uk-hidden-small"></th>
			<th colspan="2" class="uk-text-right"><?php echo RCUtilities::$localization->cart->subtotal; ?>:</th>
			<th class="uk-text-right uk-text-nowrap"><?php echo RCUtilities::toCurrency($this->cart->subtotal + $this->cart->options->price + $this->cart->shipping->price + $this->cart->payment->price, FALSE, FALSE); ?></th>
		</tr>
		<?php if (RCUtilities::$settings->cart->showTaxesSplit || ($this->cart->taxes > 0)) { ?>
			<tr class="uk-table-middle">
				<th colspan="2" class="uk-hidden-small"></th>
				<th colspan="2" class="uk-text-right"><?php echo RCUtilities::$localization->cart->taxes; ?>:</th>
				<th class="uk-text-right uk-text-nowrap"><?php echo RCUtilities::toCurrency($this->cart->taxes, FALSE, FALSE); ?></th>
			</tr>
		<?php } ?>
		<tr class="uk-table-middle">
			<th colspan="2" class="uk-hidden-small"></th>
			<th colspan="2" class="uk-text-right"><?php echo RCUtilities::$localization->cart->total; ?>:</th>
			<th class="uk-text-right uk-text-nowrap"><?php echo RCUtilities::toCurrency($this->cart->total, FALSE, FALSE); ?></th>
		</tr>
	</thead>
</table>
<?php if (!isset(RCUtilities::$settings->cart->showCheckoutButton) || RCUtilities::$settings->cart->showCheckoutButton == 'below') { ?>
	<div class="uk-margin-large-top">
		<?php if (RCUtilities::$settings->cart->requireDisclaimerAcceptance) { ?>
			<div class="uk-alert" id="rc-cart-review-disclaimer">
				<form class="uk-form">
					<input type="checkbox" id="rc-cart-review-disclaimer-checkbox"> <?php echo RCUtilities::$settings->cart->disclaimerContent; ?>
				</form>
			</div>
		<?php } ?>
		<div class="uk-text-right">
			<a href="<?php echo RCUtilities::getURL(array(0 => 'cart', 1 => 'payment'), TRUE); ?>" class="uk-button uk-button-primary uk-button-large uk-float-left"><i class="uk-icon-chevron-left"></i> <?php echo RCUtilities::$localization->general->back; ?></a>
			<button type="button" class="uk-button uk-button-success uk-button-large" onclick="RCkit.checkCartDisclaimer(this);" data-rc-checkout-url="<?php echo ($this->cart->payment->method->type == 'paypal') ? RCUtilities::getURL(array(0 => 'cart', 1 => 'checkout', 2 => $_GET['paymentId'], 3 => $_GET['PayerID']), TRUE) : ''; ?>"><i class="uk-icon-<?php echo $this->cart->payment->method->icon; ?>"></i> <?php echo $this->cart->payment->method->button; ?></button>
		</div>
	</div>
<?php } ?>