<h1><?php echo RCUtilities::$localization->catalog->storeName; ?></h1>
<div class="uk-grid uk-margin-top" data-uk-grid-margin data-uk-grid-match="{target:'.rc-catalog-pagination-spacer'}">
	<!-- Toolbar on small devices-->
	<div class="uk-width-1-1 uk-visible-small">
		<div class="uk-grid uk-grid-small uk-grid-width-1-<?php echo (0 + ((RCUtilities::$settings->catalog->showToolbarCategories && !empty($this->catalog->categories)) || (RCUtilities::$settings->catalog->showToolbarTags && !empty($this->catalog->tags))) + RCUtilities::$settings->catalog->showToolbarSort); ?>" data-uk-grid-margin>
			<?php if (RCUtilities::$settings->catalog->showToolbarSearch) { ?>
				<div class="uk-width-1-1">
					<form class="uk-form" onsubmit="return RCkit.searchCatalogProducts(this);">
						<input type="hidden" name="sort" value="<?php echo RCUtilities::$settings->catalog->defaultSort; ?>">
						<div class="uk-flex uk-flex-space-between">
							<div class="uk-flex-item-auto">
								<div class="uk-form-icon uk-width-1-1">
									<i class="uk-icon-search"></i>
									<input class="uk-width-1-1 uk-form-large" type="text" placeholder="<?php echo RCUtilities::$localization->toolbar->searchPlaceholder; ?>" name="search" value="<?php echo $search; ?>">
								</div>
							</div>
							<?php if (!empty($search)) { ?>
								<div><a class="uk-button uk-button-large uk-margin-small-left" href="<?php echo RCUtilities::getURL(array(1 => 'all', 2 => '-')); ?>"><i class="uk-icon-close"></i></a></div>
							<?php } ?>
						</div>
					</form>
				</div>
			<?php } ?>
			<?php if ((RCUtilities::$settings->catalog->showToolbarCategories && !empty($this->catalog->categories)) || (RCUtilities::$settings->catalog->showToolbarTags && !empty($this->catalog->tags))) { ?>
				<div>
					<div class="uk-button uk-button-large uk-form-select uk-width-1-1 uk-text-left uk-text-truncate" data-uk-form-select>
						<div class="uk-float-right"><i class="uk-icon-caret-down"></i></div>
						<i class="uk-icon-filter"></i>
						<span></span>
						<select onchange="RCkit.filterAndSortCatalogProducts(this);">
							<option value="" data-rc-catalog-toolbar-select-link="<?php echo RCUtilities::getURL(array(1 => 'all', 2 => '-')); ?>"><?php echo RCUtilities::$localization->toolbar->allProducts; ?></option>
							<?php if (RCUtilities::$settings->catalog->showToolbarCategories && !empty($this->catalog->categories)) { ?>
								<optgroup label="<?php echo RCUtilities::$localization->toolbar->categories; ?>">
								<?php foreach ($this->catalog->categories as $category) { ?>
									<option data-rc-catalog-toolbar-select-link="<?php echo $category->link; ?>"<?php echo ($category->selected ? ' selected' : ''); ?>><?php echo $category->name; ?></option>
								<?php } ?>
							<?php } ?>
							<?php if (RCUtilities::$settings->catalog->showToolbarTags && !empty($this->catalog->tags)) { ?>
								<optgroup label="<?php echo RCUtilities::$localization->toolbar->tags; ?>">
								<?php foreach ($this->catalog->tags as $tag) { ?>
									<option data-rc-catalog-toolbar-select-link="<?php echo $tag->link; ?>"<?php echo ($tag->selected ? ' selected' : ''); ?>><?php echo $tag->name; ?></option>
								<?php } ?>
							<?php } ?>
						</select>
					</div>
				</div>
			<?php } ?>
			<?php if (RCUtilities::$settings->catalog->showToolbarSort) { ?>
				<div>
					<div class="uk-button uk-button-large uk-form-select uk-width-1-1 uk-text-left uk-text-truncate" data-uk-form-select>
						<div class="uk-float-right"><i class="uk-icon-caret-down"></i></div>
						<i class="uk-icon-sort"></i>
						<span></span>
						<select onchange="RCkit.filterAndSortCatalogProducts(this);">
							<?php foreach ($this->catalog->sort as $sort) { ?>
								<option data-rc-catalog-toolbar-select-link="<?php echo $sort->link; ?>"<?php echo ($sort->selected ? ' selected' : ''); ?>><?php echo RCUtilities::$localization->toolbar->{$sort->ID}; ?></option>
							<?php } ?>
						</select>
					</div>
				</div>
			<?php } ?>
			<?php if (RCUtilities::$settings->catalog->showCart) { ?>
				<div class="uk-width-1-1">
					<?php echo $cart; ?>
				</div>
			<?php } ?>
		</div>
	</div>
	<!-- Products -->
	<div class="uk-width-1-1 uk-width-medium-<?php echo (RCUtilities::$settings->catalog->toolbarWidth - 1); ?>-<?php echo RCUtilities::$settings->catalog->toolbarWidth; ?>">
		<?php if (in_array(RCUtilities::$settings->catalog->showPageNumbers, array('both', 'top')) && (RCUtilities::$settings->catalog->productsPerPage < $this->catalog->visibleCount)) { ?>
			<div class="rc-catalog-pagination-spacer uk-clearfix">
				<ul class="uk-pagination uk-margin-bottom rc-catalog-pagination" data-rc-pagination="{currentPage:<?php echo $page - 1; ?>,items:<?php echo $this->catalog->visibleCount; ?>,itemsOnPage:<?php echo RCUtilities::$settings->catalog->productsPerPage; ?>}"></ul>
			</div>
		<?php } ?>
		<?php if (empty($products)) { ?>
			<div class="uk-panel uk-text-center uk-margin-large-top">
				<h2><?php echo RCUtilities::$localization->catalog->noProductsFoundTitle; ?></h2>
				<?php if ($filter == 'search') { ?>
					<p><?php echo sprintf(RCUtilities::$localization->catalog->noProductsFoundMessage, $search); ?></p>
				<?php } ?>
				<div class="uk-margin-large-top"><a class="uk-button uk-button-primary uk-button-large" href="<?php echo RCUtilities::getURL(array(1 => 'all', 2 => '-', 4 => 1)); ?>"><?php echo RCUtilities::$localization->general->back; ?></a></div>
			</div>
		<?php } else { ?>
			<?php if (RCUtilities::$settings->catalog->viewMode == 'list') { ?>
				<table class="uk-table">
					<tbody>
						<?php echo $products; ?>
					</tbody>
				</table>
			<?php } else { ?>
				<div class="uk-grid uk-grid-small uk-grid-match uk-grid-width-1-<?php echo RCUtilities::$settings->catalog->columnsSmall; ?> uk-grid-width-small-1-<?php echo RCUtilities::$settings->catalog->columnsMedium; ?> uk-grid-width-large-1-<?php echo RCUtilities::$settings->catalog->columnsLarge; ?>" data-uk-grid-match="{target:'.rc-catalog-product-details'}" data-uk-grid-margin>
					<?php echo $products; ?>
				</div>
			<?php } ?>
		<?php } ?>
		<?php if (in_array(RCUtilities::$settings->catalog->showPageNumbers, array('both', 'bottom')) && (RCUtilities::$settings->catalog->productsPerPage < $this->catalog->visibleCount)) { ?>
			<ul class="uk-pagination uk-margin-top rc-catalog-pagination" data-rc-pagination="{currentPage:<?php echo $page - 1; ?>,items:<?php echo $this->catalog->visibleCount; ?>,itemsOnPage:<?php echo RCUtilities::$settings->catalog->productsPerPage; ?>}"></ul>
		<?php } ?>
	</div>
	<!-- Toolbar on large devices-->
	<div class="uk-width-1-<?php echo RCUtilities::$settings->catalog->toolbarWidth; ?> uk-hidden-small">
		<div class="rc-catalog-pagination-spacer"></div>
		<div class="uk-grid uk-grid-large uk-grid-width-1-1" data-uk-grid-margin>
			<?php if (RCUtilities::$settings->catalog->showCart) { ?>
				<div>
					<?php echo $cart; ?>
				</div>
			<?php } ?>
			<?php if (RCUtilities::$settings->catalog->showToolbarSearch) { ?>
				<div>
					<div class="uk-panel">
						<h3 class="uk-panel-title"><i class="uk-icon-search"></i> <?php echo RCUtilities::$localization->toolbar->search; ?></h3>
						<form class="uk-form" onsubmit="return RCkit.searchCatalogProducts(this);">
							<input type="hidden" name="sort" value="<?php echo RCUtilities::$settings->catalog->defaultSort; ?>">
							<div class="uk-flex uk-flex-space-between">
								<div class="uk-flex-item-auto"><input class="uk-width-1-1" type="text" placeholder="<?php echo RCUtilities::$localization->toolbar->searchPlaceholder; ?>" name="search" value="<?php echo $search; ?>"></div>
								<?php if (!empty($search)) { ?>
									<div><a class="uk-button uk-margin-small-left" href="<?php echo RCUtilities::getURL(array(1 => 'all', 2 => '-')); ?>"><i class="uk-icon-close"></i></a></div>
								<?php } ?>
							</div>
						</form>
					</div>
				</div>
			<?php } ?>
			<?php if (RCUtilities::$settings->catalog->showToolbarCategories && !empty($this->catalog->categories)) { ?>
				<div>
					<div class="uk-panel" data-uk-margin>
						<h3 class="uk-panel-title"><i class="uk-icon-archive"></i> <?php echo RCUtilities::$localization->toolbar->categories; ?></h3>
						<?php foreach ($this->catalog->categories as $category) { ?>
							<a class="uk-button uk-button-small<?php echo ($category->selected ? ' uk-button-primary' : ''); ?>" href="<?php echo $category->link; ?>"><?php echo ($category->selected ? '<i class="uk-icon-times"></i> ' : ''); ?><?php echo $category->name; ?></a>
						<?php } ?>
					</div>
				</div>
			<?php } ?>
			<?php if (RCUtilities::$settings->catalog->showToolbarTags && !empty($this->catalog->tags)) { ?>
				<div>
					<div class="uk-panel" data-uk-margin>
						<h3 class="uk-panel-title"><i class="uk-icon-tags"></i> <?php echo RCUtilities::$localization->toolbar->tags; ?></h3>
						<?php foreach ($this->catalog->tags as $tag) { ?>
							<a class="uk-button uk-button-small<?php echo ($tag->selected ? ' uk-button-primary' : ''); ?>" href="<?php echo $tag->link; ?>"><?php echo ($tag->selected ? '<i class="uk-icon-times"></i> ' : ''); ?><?php echo $tag->name; ?></a>
						<?php } ?>
					</div>
				</div>
			<?php } ?>
			<?php if (RCUtilities::$settings->catalog->showToolbarSort) { ?>
				<div>
					<div class="uk-panel" data-uk-margin>
						<h3 class="uk-panel-title"><i class="uk-icon-sort"></i> <?php echo RCUtilities::$localization->toolbar->sort; ?></h3>
						<?php foreach ($this->catalog->sort as $sort) { ?>
							<a class="uk-button uk-button-small<?php echo ($sort->selected ? ' uk-button-primary' : ''); ?>" href="<?php echo $sort->link; ?>"><i class="uk-icon-<?php echo $sort->icon; ?>"></i> <?php echo RCUtilities::$localization->toolbar->{$sort->ID}; ?></a>
						<?php } ?>
					</div>
				</div>
			<?php } ?>
		</div>
	</div>
</div>