<?php if ($order === FALSE) { ?>
	<div class="uk-text-center uk-margin-large-top">
		<h2><?php echo RCUtilities::$localization->admin->orderNotFound; ?></h2>
	</div>
<?php } else { ?>
	<div class="uk-grid uk-grid-small" data-uk-grid-margin data-uk-grid-match="{target:'.uk-panel-box'}">
		<div class="uk-width-1-1 uk-width-medium-1-2">
			<div class="uk-panel uk-panel-box">
				<h3 class="uk-panel-title"><i class="uk-icon-file-text-o"></i> <?php echo RCUtilities::$localization->order->details; ?></h3>
				<dl class="uk-description-list-horizontal uk-margin-remove">
					<dt><?php echo RCUtilities::$localization->order->number; ?></dt>
					<dd><?php echo $order->ID; ?></dd>
					<?php if (RCUtilities::$settings->cart->acceptCouponCodes && $order->Coupon != '') { ?>
						<dt><?php echo RCUtilities::$localization->cart->couponCode; ?></dt>
						<dd><?php echo $order->Coupon; ?></dd>
					<?php } ?>
					<dt><?php echo RCUtilities::$localization->admin->orderStatus; ?></dt>
					<dd>
						<?php if ($order->Status == 'completed') { ?>
							<?php echo RCUtilities::$localization->admin->statusCompleted; ?>
						<?php } else if ($order->Status == 'to-ship') { ?>
							<?php echo RCUtilities::$localization->admin->statusToShip; ?>
						<?php } else if ($order->Status == 'refunded') { ?>
							<?php echo RCUtilities::$localization->admin->statusRefunded; ?>
						<?php } else if ($order->Status == 'cancelled') { ?>
							<?php echo RCUtilities::$localization->admin->statusCancelled; ?>
						<?php } ?>
					</dd>
					<dt><?php echo RCUtilities::$localization->order->date; ?></dt>
					<dd><?php echo date('Y-m-d H:i', strtotime($order->Date . ' UTC')); ?></dd>
					<?php foreach ($order->Options as $option) { ?>
						<dt><?php echo $option->name; ?></dt>
						<dd><?php echo implode(', ', $option->values); ?></dd>
					<?php } ?>
					<?php if ($order->Shippable) { ?>
						<dt><?php echo RCUtilities::$localization->cart->shipping; ?></dt>
						<dd><?php echo $order->ShippingName; ?></dd>
					<?php } ?>
					<?php if ($order->Weight > 0) { ?>
						<dt><?php echo RCUtilities::$localization->cart->weight; ?></dt>
						<dd><?php echo $order->Weight; ?></dd>
					<?php } ?>
					<dt><?php echo RCUtilities::$localization->cart->payment; ?></dt>
					<dd><?php echo $order->PaymentName; ?></dd>
					<?php if (!empty($order->TransactionID)) { ?>
						<dt><?php echo RCUtilities::$localization->order->transactionID; ?></dt>
						<dd><?php echo $order->TransactionID; ?></dd>
					<?php } ?>
				</dl>
			</div>
		</div>
		<div class="uk-width-1-1 uk-width-medium-1-2">
			<div class="uk-panel uk-panel-box">
				<h3 class="uk-panel-title"><i class="uk-icon-user"></i> <?php echo RCUtilities::$localization->cart->address; ?></h3>
				<dl class="uk-description-list-horizontal uk-margin-remove">
					<dt><?php echo RCUtilities::$localization->customer->name; ?></dt>
					<dd><?php echo $order->CustomerName; ?></dd>
					<dt><?php echo RCUtilities::$localization->customer->emailAddress; ?></dt>
					<dd><?php echo $order->CustomerEmail; ?></dd>
					<?php if (!empty($order->CustomerStreet) || !empty($order->CustomerZIPCode) || !empty($order->CustomerCity)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->address; ?></dt>
						<dd>
							<?php echo (!empty($order->CustomerStreet) ? ($order->CustomerStreet . '<br>') : ''); ?>
							<?php echo ((!empty($order->CustomerZIPCode) ? ($order->CustomerZIPCode . ' ') : '') . $order->CustomerCity); ?>
						</dd>
					<?php } ?>
					<?php if (!empty($order->CustomerState)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->state; ?></dt>
						<dd><?php echo $order->CustomerState; ?></dd>
					<?php } ?>
					<dt><?php echo RCUtilities::$localization->customer->country; ?></dt>
					<dd><?php echo $order->CustomerCountry; ?></dd>
					<?php if (!empty($order->CustomerCompany)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->company; ?></dt>
						<dd><?php echo $order->CustomerCompany; ?></dd>
					<?php } ?>
					<?php if (!empty($order->CustomerVATID)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->VATID; ?></dt>
						<dd>
							<?php echo $order->CustomerCountryCode; ?>-<?php echo $order->CustomerVATID; ?>
							<a class="uk-icon-hover uk-icon-<?php echo $order->CustomerVATIDVerified ? 'info-circle' : 'exclamation-triangle'; ?>" href="http://ec.europa.eu/taxation_customs/vies/vatResponse.html?memberStateCode=<?php echo $order->CustomerCountryCode; ?>&number=<?php echo $order->CustomerVATID; ?>" title="<?php echo $order->CustomerVATIDVerified ? 'Verified by VIES' : 'Not verified by VIES'; ?>" target="_blank" data-uk-tooltip></a>
						</dd>
					<?php } ?>
					<?php if (!empty($order->CustomerCustomField1)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField1; ?></dt>
						<dd><?php echo $order->CustomerCustomField1; ?></dd>
					<?php } ?>
					<?php if (!empty($order->CustomerCustomField2)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField2; ?></dt>
						<dd><?php echo $order->CustomerCustomField2; ?></dd>
					<?php } ?>
					<?php if (!empty($order->CustomerCustomField3)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField3; ?></dt>
						<dd><?php echo $order->CustomerCustomField3; ?></dd>
					<?php } ?>
					<?php if (!empty($order->CustomerCustomField4)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField4; ?></dt>
						<dd><?php echo $order->CustomerCustomField4; ?></dd>
					<?php } ?>
					<?php if (!empty($order->CustomerCustomField5)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField5; ?></dt>
						<dd><?php echo $order->CustomerCustomField5; ?></dd>
					<?php } ?>
					<?php if (!empty($order->CustomerCustomField6)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField6; ?></dt>
						<dd><?php echo $order->CustomerCustomField6; ?></dd>
					<?php } ?>
					<?php if (!empty($order->CustomerCustomField7)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField7; ?></dt>
						<dd><?php echo $order->CustomerCustomField7; ?></dd>
					<?php } ?>
					<?php if (!empty($order->CustomerCustomField8)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField8; ?></dt>
						<dd><?php echo $order->CustomerCustomField8; ?></dd>
					<?php } ?>
					<?php if (!empty($order->CustomerCustomField9)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField9; ?></dt>
						<dd><?php echo nl2br($order->CustomerCustomField9); ?></dd>
					<?php } ?>
					<?php if (!empty($order->CustomerCustomField10)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField10; ?></dt>
						<dd><?php echo nl2br($order->CustomerCustomField10); ?></dd>
					<?php } ?>
				</dl>
			</div>
		</div>
	</div>
	<table class="uk-table uk-table-hover">
		<thead>
			<tr>
				<th class="uk-hidden-small rc-cart-image-column"></th>
				<th><?php echo RCUtilities::$localization->cart->product; ?></th>
				<?php if (RCUtilities::$settings->database->productRatingEnabled) { ?>
					<th></th>
				<?php } ?>
				<th width="75" class="uk-text-right"><?php echo RCUtilities::$localization->cart->price; ?></th>
			</tr>
		</thead>
		<tbody>
			<?php foreach ($order->Items as $i => $item) { ?>
				<tr class="uk-table-middle">
					<td class="uk-hidden-small"><a class="rc-cropped-product-image" href="<?php echo $item->product->link; ?>" style="background-image: url('<?php echo $item->product->image; ?>');" target="_blank"></a></td>
					<td class="uk-text-nowrap">
						<div class="uk-text-bold">
							<?php echo $item->quantity; ?> × <a href="<?php echo $item->product->link; ?>" target="_blank"><?php echo $item->product->name; ?></a>
						</div>
						<div><?php echo $item->product->version; ?> <span class="uk-text-muted">(<?php echo $item->product->SKU; ?>)</span></div>
						<div class="uk-text-bold"><?php echo RCUtilities::toCurrency($item->product->price); ?></div>
						<?php if (!empty($item->product->options)) { ?>
							<dl class="uk-description-list-horizontal uk-margin-top">
								<?php foreach ($item->product->options as $option) { ?>
									<?php if (!empty($option->values)) { ?>
										<dt><?php echo $option->name; ?></dt>
										<dd><?php echo implode(', ', $option->values); ?></dd>
									<?php } ?>
								<?php } ?>
							</div>
						<?php } ?>
					</td>
					<?php if (RCUtilities::$settings->database->productRatingEnabled) { ?>
						<td class="uk-text-center uk-text-nowrap">
							<a class="uk-button uk-button-primary uk-button-mini" href="<?php echo RCUtilities::getURL(array(0 => 'history', 1 => 'rating', 2 => $ID), TRUE); ?>" title="<?php echo RCUtilities::$localization->order->rateProduct; ?>" data-uk-tooltip><i class="uk-icon-star"></i><i class="uk-icon-star"></i><i class="uk-icon-star"></i><i class="uk-icon-star"></i><i class="uk-icon-star"></i></a>
						</td>
					<?php } ?>
					<td class="uk-text-right uk-text-nowrap"><?php echo RCUtilities::toCurrency($item->product->price * $item->quantity); ?></td>
				</tr>
			<?php } ?>
			<?php foreach ($order->Costs->list as $cost) { ?>
				<tr class="uk-table-middle">
					<td class="uk-hidden-small"></td>
					<td colspan="<?php echo (RCUtilities::$settings->database->productRatingEnabled + 1); ?>"><?php echo $cost->description; ?></td>
					<td class="uk-text-right uk-text-nowrap <?php echo (($cost->price < 0) ? 'uk-text-danger' : ''); ?>"><?php echo RCUtilities::toCurrency($cost->price); ?></td>
				</tr>
			<?php } ?>
			<?php if ($order->OptionsPrice != 0) { ?>
				<tr class="uk-table-middle">
					<td class="uk-hidden-small"></td>
					<td colspan="<?php echo (RCUtilities::$settings->database->productRatingEnabled + 1); ?>"><?php echo RCUtilities::$localization->cart->options; ?></td>
					<td class="uk-text-right uk-text-nowrap <?php echo (($order->OptionsPrice < 0) ? 'uk-text-danger' : ''); ?>"><?php echo RCUtilities::toCurrency($order->OptionsPrice); ?></td>
				</tr>
			<?php } ?>
			<?php if ($order->ShippingPrice != 0) { ?>
				<tr class="uk-table-middle">
					<td class="uk-hidden-small"></td>
					<td colspan="<?php echo (RCUtilities::$settings->database->productRatingEnabled + 1); ?>"><?php echo RCUtilities::$localization->cart->shipping; ?></td>
					<td class="uk-text-right uk-text-nowrap <?php echo (($order->ShippingPrice < 0) ? 'uk-text-danger' : ''); ?>"><?php echo RCUtilities::toCurrency($order->ShippingPrice); ?></td>
				</tr>
			<?php } ?>
			<?php if ($order->PaymentPrice != 0) { ?>
				<tr class="uk-table-middle">
					<td class="uk-hidden-small"></td>
					<td colspan="<?php echo (RCUtilities::$settings->database->productRatingEnabled + 1); ?>"><?php echo RCUtilities::$localization->cart->payment; ?></td>
					<td class="uk-text-right uk-text-nowrap <?php echo (($order->PaymentPrice < 0) ? 'uk-text-danger' : ''); ?>"><?php echo RCUtilities::toCurrency($order->PaymentPrice); ?></td>
				</tr>
			<?php } ?>
		</tbody>
		<thead>
			<tr class="uk-table-middle">
				<th class="uk-hidden-small"></th>
				<th class="uk-text-right" colspan="<?php echo (RCUtilities::$settings->database->productRatingEnabled + 1); ?>">
					<?php echo RCUtilities::$localization->cart->subtotal; ?>:
					<?php if ($order->SubtotalRefunded > 0) { ?>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::$localization->admin->orderPaid; ?>:</div>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::$localization->admin->orderRefunded; ?>:</div>
					<?php } ?>
				</th>
				<th class="uk-text-right uk-text-nowrap">
					<?php echo RCUtilities::toCurrency($order->Subtotal + $order->OptionsPrice + $order->ShippingPrice + $order->PaymentPrice - $order->SubtotalRefunded, FALSE, FALSE); ?>
					<?php if ($order->SubtotalRefunded > 0) { ?>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::toCurrency($order->Subtotal); ?></div>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::toCurrency($order->SubtotalRefunded); ?></div>
					<?php } ?>
				</th>
			</tr>
			<tr class="uk-table-middle">
				<th class="uk-hidden-small"></th>
				<th class="uk-text-right" colspan="<?php echo (RCUtilities::$settings->database->productRatingEnabled + 1); ?>">
					<?php echo RCUtilities::$localization->cart->taxes; ?>:
					<?php if ($order->TaxesRefunded > 0) { ?>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::$localization->admin->orderPaid; ?>:</div>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::$localization->admin->orderRefunded; ?>:</div>
					<?php } ?>
				</th>
				<th class="uk-text-right uk-text-nowrap">
					<?php echo RCUtilities::toCurrency($order->Taxes - $order->TaxesRefunded, FALSE, FALSE); ?>
					<?php if ($order->TaxesRefunded > 0) { ?>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::toCurrency($order->Taxes); ?></div>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::toCurrency($order->TaxesRefunded); ?></div>
					<?php } ?>
				</th>
			</tr>
			<tr class="uk-table-middle">
				<th class="uk-hidden-small"></th>
				<th class="uk-text-right" colspan="<?php echo (RCUtilities::$settings->database->productRatingEnabled + 1); ?>">
					<?php echo RCUtilities::$localization->cart->total; ?>:
					<?php if ($order->TotalRefunded > 0) { ?>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::$localization->admin->orderPaid; ?>:</div>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::$localization->admin->orderRefunded; ?>:</div>
					<?php } ?>
				</th>
				<th class="uk-text-right uk-text-nowrap">
					<?php echo RCUtilities::toCurrency($order->Total - $order->TotalRefunded, FALSE, FALSE); ?>
					<?php if ($order->TotalRefunded > 0) { ?>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::toCurrency($order->Total); ?></div>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::toCurrency($order->TotalRefunded); ?></div>
					<?php } ?>
				</th>
			</tr>
		</thead>
	</table>
<?php } ?>