<?php if (!empty($versions)) { ?>
	<form class="uk-form uk-form-horizontal" id="rc-product-form-<?php echo $ID . '--' . $onlySKU; ?>" onsubmit="return false;">
		<input type="hidden" name="rc-product[ID]" value="<?php echo $ID; ?>">
		<input type="hidden" name="rc-product[version]" id="rc-product-version-<?php echo $ID . '--' . $onlySKU; ?>" value="<?php echo (count($versions) == 1) ? $versions[0]->ID : ''; ?>">
		<?php foreach ($versions as $version) { ?>
				<?php if (!isset($onlySKU) || empty($onlySKU) || $onlySKU == $version->SKU) { ?>
					<?php if ($version->available) { ?>
								<?php if (RCUtilities::$settings->product->showQuantityField) { ?>
									<div class="uk-button-group uk-margin-top">
										<input type="number" name="rc-product[quantity][<?php echo $version->ID; ?>]" class="uk-form-width-mini uk-form-large uk-form-success rc-input-quantity" value="1" min="1">
										<button type="button" class="uk-button uk-button-large uk-button-success" onclick="RCkit.selectProductVersion(this, '<?php echo $ID . '--' . $onlySKU; ?>', <?php echo $version->ID; ?>);"><i class="uk-icon-shopping-basket uk-margin-small-left uk-margin-small-right"></i></button>
									</div>
								<?php } else { ?>
									<button type="button" class="uk-button uk-button-large uk-button-success uk-margin-top" onclick="RCkit.selectProductVersion(this, '<?php echo $ID . '--' . $onlySKU; ?>', <?php echo $version->ID; ?>);"><i class="uk-icon-shopping-basket uk-margin-small-right"></i> <?php echo RCUtilities::$localization->catalog->addToCart; ?></button>
								<?php } ?>
							<?php } else { ?>
						<button type="button" class="uk-margin-top uk-button uk-button-large uk-button-danger"><i class="uk-icon-ban uk-margin-small-right"></i> <?php echo RCUtilities::$localization->product->soldOut; ?></button>
					<?php } ?>
				<?php } ?>
			<?php } ?>
		<?php if (!empty($options)) { ?>
			<div id="rc-product-options-modal-<?php echo $ID . '--' . $onlySKU; ?>" class="uk-modal">
				<div class="uk-modal-dialog">
					<a class="uk-modal-close uk-close"></a>
					<div class="uk-modal-header">
						<h3 class="uk-margin-remove"><?php echo $name; ?></h3>
						<div>
							<span id="rc-product-version-name-<?php echo $ID . '--' . $onlySKU; ?>"></span>
							<?php if (RCUtilities::$settings->product->showSKU) { ?>
								(<span class="uk-text-small" id="rc-product-version-sku-<?php echo $ID . '--' . $onlySKU; ?>"></span>)
							<?php } ?>
						</div>
					</div>
					<?php if ($requiredOptions) { ?>
						<p class="uk-text-danger"><?php echo RCUtilities::$localization->product->requiredFields; ?></p>
					<?php } ?>
					<div class="uk-overflow-container uk-margin-large">
						<?php foreach ($options as $option) { ?>
							<div class="uk-form-row uk-margin-bottom">
								<label class="uk-form-label"><?php echo $option->name; ?></label>
								<div class="uk-form-controls uk-form-controls-text">
									<?php if ($option->type == 'checkbox') { ?>
										<?php foreach ($option->values as $value) { ?>
											<div>
												<label>
													<input type="checkbox" name="rc-product[options][<?php echo $option->ID; ?>][]" id="rc-product-option-<?php echo $value->ID; ?>" value="<?php echo $value->ID; ?>" onchange="RCkit.selectProductOptions($('#rc-add-product-to-cart-button'), '<?php echo $ID . '--' . $onlySKU; ?>');"> <?php echo $value->value . ((RCUtilities::$settings->product->showOptionPrice && $value->price != 0) ? (' <span class="uk-text-muted">[' . RCUtilities::toCurrency($value->price + $value->price * RCUtilities::$settings->product->defaultTaxes[$version->taxesTier] / 100, TRUE) . ']</span>') : ''); ?>
												</label>
											</div>
										<?php } ?>
									<?php } else if ($option->type == 'date') { ?>
										<div class="uk-form-icon">
											<i class="uk-icon-calendar"></i>
											<input type="text" name="rc-product[options][<?php echo $option->ID; ?>][]" id="rc-product-option-<?php echo $option->ID; ?>" data-uk-datepicker="{format:'<?php echo RCUtilities::$localization->dateTime->dateFormat; ?>',minDate:<?php echo ((isset($option->minDateEnabled) && $option->minDateEnabled) ? ('\'' . RCUtilities::getLocalizedDate($option->minDate) . '\'') : 'false'); ?>,maxDate:<?php echo ((isset($option->maxDateEnabled) && $option->maxDateEnabled) ? ('\'' . RCUtilities::getLocalizedDate($option->maxDate) . '\'') : 'false'); ?>,weekstart:<?php echo RCUtilities::$localization->dateTime->weekStart; ?>,i18n:{months:<?php echo RCUtilities::getLocalizedMonthsArray(); ?>,weekdays:<?php echo RCUtilities::getLocalizedWeekdaysArray(); ?>}}" class="uk-form-width-small" onchange="RCkit.selectProductOptions($('#rc-add-product-to-cart-button'), <?php echo $ID; ?>);" onkeyup="RCkit.selectProductOptions($('#rc-add-product-to-cart-button'), '<?php echo $ID . '--' . $onlySKU; ?>');">
										</div>
									<?php } else if ($option->type == 'time') { ?>
										<div class="uk-form-icon" data-uk-timepicker="{format:'<?php echo RCUtilities::$localization->dateTime->timeFormat; ?>'}">
											<i class="uk-icon-clock-o"></i>
											<input type="text" name="rc-product[options][<?php echo $option->ID; ?>][]" id="rc-product-option-<?php echo $option->ID; ?>" class="uk-form-width-small" onchange="RCkit.selectProductOptions($('#rc-add-product-to-cart-button'), '<?php echo $ID . '--' . $onlySKU; ?>');" onkeyup="RCkit.selectProductOptions($('#rc-add-product-to-cart-button'), '<?php echo $ID . '--' . $onlySKU; ?>');">
										</div>
									<?php } else if ($option->type == 'number') { ?>
										<input type="number" name="rc-product[options][<?php echo $option->ID; ?>][]" id="rc-product-option-<?php echo $option->ID; ?>" class="uk-form-width-small" min="<?php echo $option->min; ?>" max="<?php echo $option->max; ?>" value="<?php echo $option->min; ?>" onchange="RCkit.selectProductOptions($('#rc-add-product-to-cart-button'), '<?php echo $ID . '--' . $onlySKU; ?>');" onkeyup="RCkit.selectProductOptions($('#rc-add-product-to-cart-button'), '<?php echo $ID . '--' . $onlySKU; ?>');">
										<?php if (RCUtilities::$settings->product->showOptionPrice && isset($option->multiplier) && $option->multiplier != 0) { ?>
											<span class="uk-text-muted">[× <?php echo RCUtilities::toCurrency($option->multiplier, FALSE); ?>]</span>
										<?php } ?>
									<?php } else if ($option->type == 'radio') { ?>
										<?php foreach ($option->values as $value) { ?>
											<div>
												<label>
													<input type="radio" name="rc-product[options][<?php echo $option->ID; ?>][]" id="rc-product-option-<?php echo $value->ID; ?>" value="<?php echo $value->ID; ?>" onchange="RCkit.selectProductOptions($('#rc-add-product-to-cart-button'), '<?php echo $ID . '--' . $onlySKU; ?>');"> <?php echo $value->value . ((RCUtilities::$settings->product->showOptionPrice && $value->price != 0) ? (' <span class="uk-text-muted">[' . RCUtilities::toCurrency($value->price + $value->price * RCUtilities::$settings->product->defaultTaxes[$version->taxesTier] / 100, TRUE) . ']</span>') : ''); ?>
												</label>
											</div>
										<?php } ?>
									<?php } else if ($option->type == 'select') { ?>
										<div id="rc-product-option-<?php echo $option->ID; ?>" class="uk-button uk-form-select" data-uk-form-select>
											<span></span>
											<i class="uk-icon-caret-down"></i>
											<select name="rc-product[options][<?php echo $option->ID; ?>][]" onchange="RCkit.selectProductOptions($('#rc-add-product-to-cart-button'), '<?php echo $ID . '--' . $onlySKU; ?>');">
												<?php foreach ($option->values as $value) { ?>
													<option value="<?php echo $value->ID; ?>"><?php echo $value->value . ((RCUtilities::$settings->product->showOptionPrice && $value->price != 0) ? (' <span class="uk-text-muted">[' . RCUtilities::toCurrency($value->price + $value->price * RCUtilities::$settings->product->defaultTaxes[$version->taxesTier] / 100, TRUE) . ']</span>') : ''); ?></option>
												<?php } ?>
											</select>
										</div>
									<?php } else if ($option->type == 'text') { ?>
										<input type="text" name="rc-product[options][<?php echo $option->ID; ?>][]" id="rc-product-option-<?php echo $option->ID; ?>" class="uk-width-1-1" onchange="RCkit.selectProductOptions($('#rc-add-product-to-cart-button'), '<?php echo $ID . '--' . $onlySKU; ?>');" onkeyup="RCkit.selectProductOptions($('#rc-add-product-to-cart-button'), '<?php echo $ID . '--' . $onlySKU; ?>');">
									<?php } else if ($option->type == 'textarea') { ?>
										<textarea name="rc-product[options][<?php echo $option->ID; ?>][]" id="rc-product-option-<?php echo $option->ID; ?>" class="uk-width-1-1" onchange="RCkit.selectProductOptions($('#rc-add-product-to-cart-button'), '<?php echo $ID . '--' . $onlySKU; ?>');" onkeyup="RCkit.selectProductOptions($('#rc-add-product-to-cart-button'), '<?php echo $ID . '--' . $onlySKU; ?>');"></textarea>
									<?php } ?>
								</div>
							</div>
						<?php } ?>
					</div>
					<div class="uk-panel uk-panel-box uk-panel-box-primary uk-text-center">
						<p class="uk-text-bold"><?php echo RCUtilities::$localization->product->chosenOptions; ?>: <span id="rc-product-total-price-<?php echo $ID . '--' . $onlySKU; ?>"></span></p>
						<button type="button" class="uk-button uk-button-large uk-button-primary" id="rc-add-product-to-cart-button-<?php echo $ID . '--' . $onlySKU; ?>" onclick="RCkit.addProductToCart(this, '<?php echo $ID . '--' . $onlySKU; ?>');" disabled><i class="uk-icon-shopping-basket uk-margin-small-right"></i> <?php echo RCUtilities::$localization->product->addToCart; ?></button>
					</div>
				</div>
			</div>
		<?php } ?>
	</form>
<?php } ?>